/*

   ESP32 Time Example

   Author:  kerikun11 (Github: kerikun11)
   Date:    2017.02.24

*/

#include <WiFi.h>
#include "esp32-hal-log.h"
#include "config.h"
#include "Time.h"

const char* wifi_ssid = "wifi_ssid";
const char* wifi_pass = "wifi_pass";

void setup() {
  Serial.begin(115200);
  log_i("Hello, this is ESP32.");

  log_i("Connecting to %s", wifi_ssid);
  WiFi.begin(wifi_ssid, wifi_pass);
  while (WiFi.status() != WL_CONNECTED) {
    log_i("wait...");
    delay(1000);
  }
  log_i("WiFi connected");
  Time.set_time();
}

void loop() {
  time_t t = time(NULL);
  log_d("Time: %s", ctime(&t));
  delay(1000);
}

